Bug 162576 - e2fsck hits 32M directory limit
e2fsck hits 32M directory limit
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: e2fsprogs (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Jay Turner
: FutureFeature
Depends On:
Blocks: RHEL3U8CanFix
  Show dependency treegraph
 
Reported: 2005-07-06 10:00 EDT by Bastien Nocera
Modified: 2015-01-07 19:10 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0400
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-20 10:25:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2005-07-06 10:00:54 EDT
e2fsprogs-1.32-15-i386

[root@antivir1 root]# df -k
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sda1              2063504    819908   1138776  42% /
/dev/sda3             32376884   5915804  24816428  20% /home
none                   1541160         0   1541160   0% /dev/shm
/dev/sdb1             34954280   8748956  24429744  27% /var
[root@antivir1 root]# umount /var
[root@antivir1 root]# fsck -f /dev/sdb1
fsck 1.32 (09-Nov-2002)
e2fsck 1.32 (09-Nov-2002)
Pass 1: Checking inodes, blocks, and sizes
Inode 3964929 is too big.  Truncate<y>? no

Block #8193 (53750) causes directory to be too big.  IGNORED.
Block #8194 (53751) causes directory to be too big.  IGNORED.
Block #8195 (53752) causes directory to be too big.  IGNORED.
Block #8196 (53753) causes directory to be too big.  IGNORED.
Block #8197 (53754) causes directory to be too big.  IGNORED.
Block #8198 (53755) causes directory to be too big.  IGNORED.
Block #8199 (53756) causes directory to be too big.  IGNORED.
Block #8200 (53757) causes directory to be too big.  IGNORED.
Block #8201 (53758) causes directory to be too big.  IGNORED.
Block #8202 (53759) causes directory to be too big.  IGNORED.
Block #8203 (53760) causes directory to be too big.  IGNORED.
Too many illegal blocks in inode 3964929.
Clear inode<y>? no

Suppress messages<y>?

/var: e2fsck canceled.

/var: ********** WARNING: Filesystem still has errors ********** 

After a run with fsck -y, 450,000 inodes are left unattached on the disk.

Stephen mentioned this entry as a possible work-around:
2004-07-26  Theodore Ts'o  <tytso@mit.edu>

       * pass1.c (process_block): Change the limit of directory size from
               32 MB to 2GB.
Comment 6 Bob Johnson 2006-04-11 12:06:40 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 3.8 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 3.8 release.
Comment 14 Red Hat Bugzilla 2006-07-20 10:25:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0400.html

Note You need to log in before you can comment on or make changes to this bug.